Loading...
Searching...
No Matches
Catch::IGeneratorTracker Class Referenceabstract

`#include <catch_amalgamated.hpp>`

## Public Member Functions

virtual | ~IGeneratorTracker ()
virtual auto | hasGenerator () const -> bool=0
virtual auto | getGenerator () const -> Generators::GeneratorBasePtr const &=0
virtual void | setGenerator (Generators::GeneratorBasePtr &&generator)=0

## Constructor & Destructor Documentation

## ~IGeneratorTracker()

Catch::IGeneratorTracker::~IGeneratorTracker | ( |  | ) |

virtualdefault

## Member Function Documentation

## getGenerator()

virtual auto Catch::IGeneratorTracker::getGenerator | ( |  | ) | const -> Generators::GeneratorBasePtr const &

pure virtual

Here is the call graph for this function:
Here is the caller graph for this function:

## hasGenerator()

virtual auto Catch::IGeneratorTracker::hasGenerator | ( |  | ) | const -> bool

pure virtual

## setGenerator()

virtual void Catch::IGeneratorTracker::setGenerator | ( | Generators::GeneratorBasePtr && | generator | ) |

pure virtual

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp